# Gimp.Drawable.color_balance

    @accepts(Gimp.Drawable, Gimp.TransferMode, bool, float, float, float)
    @returns(bool)
    def color_balance(self, transfer_mode, preserve_lum, cyan_red, magenta_green, yellow_blue):
        # Python wrapper for gimp_drawable_color_balance()

Modify the color balance of the specified drawable.

Modify the color balance of the specified drawable. There are three axis which can be modified: cyan-red, magenta-green, and yellow-blue. Negative values increase the amount of the former, positive values increase the amount of the latter. Color balance can be controlled with the 'transfer_mode' setting, which allows shadows, mid-tones, and highlights in an image to be affected differently. The 'preserve-lum' parameter, if TRUE, ensures that the luminosity of each pixel remains fixed.

Since 2.10

self

  The drawable.

transfer_mode

  Transfer mode.

preserve_lum

  Preserve luminosity values at each pixel.

cyan_red

  Cyan-Red color balance.

magenta_green

  Magenta-Green color balance.

yellow_blue

  Yellow-Blue color balance.

Returns